## bam 0.5.1

=== Makefile ===
# install directories
INSTALL_PREFIX = /usr
INSTALL_BINDIR = $(INSTALL_PREFIX)/bin


# toolchain
PKG_CONFIG ?= pkg-config
PYTHON ?= python


# flags
LUA_LIBS := $(shell $(PKG_CONFIG) --libs lua 2>/dev/null || echo "-llua")
LIBS += -lm -lpthread $(LUA_LIBS) -ldl
LUA_CFLAGS := $(shell $(PKG_CONFIG) --cflags lua 2>/dev/null || echo "-I/usr/include/lua")
CFLAGS += $(LUA_CFLAGS)


# objects
TARGETS = bam
BAM_OBJ = $(patsubst %.c,%.o,$(wildcard src/*.c))
TXT2C_LUA = $(wildcard src/*.lua)


# make rules
all: $(TARGETS)

src/tools/txt2c: src/tools/txt2c.c

src/internal_base.h: src/tools/txt2c
	src/tools/txt2c $(TXT2C_LUA) > src/internal_base.h

src/main.o: src/internal_base.h src/main.c

bam: $(BAM_OBJ)
	$(CC) $(CFLAGS) $(LDFLAGS) -o $@ $(BAM_OBJ) $(LIBS)

test: $(TARGETS)
	$(PYTHON) scripts/test.py

install: bam
	install -d "$(DESTDIR)$(INSTALL_BINDIR)"
	install -m755 bam "$(DESTDIR)$(INSTALL_BINDIR)"/bam

clean:
	rm -f $(BAM_OBJ) $(TARGETS) src/internal_base.h src/tools/txt2c


.PHONY: all test install clean

## bam 0.4.0

=== debian/changelog ===
bam (0.4.0-3) unstable; urgency=low

  * use-debian-liblua.diff: don't hardcode lua5.1 pkg-config file path.
    (Closes: #639052; LP: #831166)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 24 Aug 2011 18:28:07 +0200

bam (0.4.0-2) unstable; urgency=low

  * Fix FTBFS on GNU/kFreeBSD, mips and armhf.
    - Add fix-ftbfs-kfreebsd.diff (Closes: #626726)
    - Add fix-ftbfs-tests-fpic.diff (Closes: #626749)
  * Only install useful doc files.
  * Remove Gonéri Le Bouder from Uploaders on his request.
  * Remove the test_output folder in clean target. (Closes: #626750)

 -- Felix Geyer <debfx-pkg@fobos.de>  Wed, 18 May 2011 09:33:59 +0200

bam (0.4.0-1) unstable; urgency=low

  * New upstream release.
  * Add myself to uploaders.
  * Drop bus-error-on-SPARC.diff and GNU_Hurd.diff, fixed upstream.
  * Refresh use-debian-liblua.diff for new upstream version.
  * Switch to source format 3.0 (quilt).
  * Use dh7 tiny rules file.
  * Switch to compat level 8.
  * Bump Standards-Version to 3.9.2, no changes needed.
  * Update watch file and homepage field.
  * Enable test suite.
    - Add test-error-exit-code.diff to make it exit with an error on
      test failure.
  * Update man page.

 -- Felix Geyer <debfx-pkg@fobos.de>  Mon, 09 May 2011 14:25:15 +0200

bam (0.2.0-4) unstable; urgency=low

  * Apply Barry GNU/Hurd patch (Closes: #532794)
  * Standards-Version: 3.8.2, no change 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Mon, 27 Jul 2009 23:29:12 +0200

bam (0.2.0-3) unstable; urgency=low

  * Add fixes/bus-error-SPARC (Closes: #522571)
  * Standard Version 3.8.1, no change
  * Clean the .pc directory

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 05 Apr 2009 01:46:19 +0200

bam (0.2.0-2) unstable; urgency=low

  * Builddepends on liblua5.1-0-dev, don't use the
    embedded lua directory anymore 
  * Builddeps on quilt and pkg-config 

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sat, 24 Jan 2009 12:24:18 +0100

bam (0.2.0-1) unstable; urgency=low

  * Initial release (Closes: #512806)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Fri, 23 Jan 2009 23:57:33 +0100

=== debian/control ===
Source: bam
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <debfx-pkg@fobos.de>
Build-Depends: debhelper (>= 8), python, liblua5.1-0-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://matricks.github.com/bam/
Vcs-Git: git://git.debian.org/pkg-games/bam.git
Vcs-Browser: http://git.debian.org/?p=pkg-games/bam.git

Package: bam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and flexible build system
 Bam uses Lua to describe the build process. It's takes its inspiration for
 the script files from scons. While scons focuses on being 100% correct when
 building, bam makes a few sacrifices to acquire fast full and incremental
 build times.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	# nothing to do

override_dh_auto_build:
	sh -e -v make_unix.sh
	python scripts/gendocs.py

override_dh_auto_test:
	python scripts/test.py

override_dh_auto_clean:
	rm -f bam docs/bam.html scripts/*.pyc
	rm -rf test_output

=== debian/watch ===
version=3
http://github.com/matricks/bam/downloads /downloads/matricks/bam/bam-([\d\.]+)\.tar\.gz

## bam 0.5.1

=== debian/changelog ===
bam (0.5.1-2) unstable; urgency=medium

  * Switch build to python3. (Closes: #936184)
    - Add python3.patch
  * Point Vcs control headers to salsa.d.o
  * Switch to debhelper compat level 12.

 -- Felix Geyer <fgeyer@debian.org>  Fri, 30 Aug 2019 19:21:48 +0200

bam (0.5.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 0.5.1.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.2.1.
  * Improve debian/watch file.
  * Drop old patches because they were fixed upstream.
  * Refresh reproducible-build.patch and forward it upstream.
  * Add graphviz to Build-Depends.
  * Add gendocs.patch and fix a FTBFS because of missing license.txt file.
  * Switch to liblua5.3-dev B-D.
  * Do nothing with dh_auto_install, otherwise the build will fail.
  * Update manpage for new release.
  * Use secure Homepage URI.
  * Rebase make_unix.patch.
  * Support DEB_BUILD_OPTIONS nocheck.
  * Ensure bam can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Fri, 26 Oct 2018 16:11:30 +0200

bam (0.4.0-5) unstable; urgency=medium

  * Make the documentation build reproducible. (Closes: #834160)
    - Add reproducible-build.diff
    - Thanks to Chris Lamb for the patch.

 -- Felix Geyer <fgeyer@debian.org>  Thu, 20 Oct 2016 19:10:16 +0200

bam (0.4.0-4) unstable; urgency=medium

  * Rename use-debian-liblua.diff to make-unix.diff and:
    - Pass build flags to gcc.
    - Print commands that are executed.
  * debian/rules: include /usr/share/dpkg/buildflags.mk
  * Bump debhelper compat level to 9.
  * Use https in Vcs-* URLs.

 -- Felix Geyer <fgeyer@debian.org>  Mon, 25 Apr 2016 20:22:05 +0200

=== debian/control ===
Source: bam
Section: devel
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders: Felix Geyer <fgeyer@debian.org>
Build-Depends: debhelper-compat (= 12), graphviz, python3, liblua5.3-dev, pkg-config
Standards-Version: 4.2.1
Homepage: https://matricks.github.com/bam/
Vcs-Git: https://salsa.debian.org/games-team/bam.git
Vcs-Browser: https://salsa.debian.org/games-team/bam

Package: bam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: fast and flexible build system
 Bam uses Lua to describe the build process. It's takes its inspiration for
 the script files from scons. While scons focuses on being 100% correct when
 building, bam makes a few sacrifices to acquire fast full and incremental
 build times.

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk

%:
	dh $@

override_dh_auto_configure:
	# nothing to do

override_dh_auto_build:
	sh make_unix.sh
	python3 scripts/gendocs.py

override_dh_auto_install:
	# do nothing here

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	python3 scripts/test.py
endif

override_dh_auto_clean:
	$(RM) bam docs/bam.html scripts/*.pyc
	$(RM) -r test_output
	$(RM) docs/depgraph.png

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/bam-$1\.tar\.gz/ \
  https://github.com/matricks/bam/tags .*/v?(\d\S+)\.tar\.gz

## bam serial-2.0

=== model/source_dy/Makefile ===
#
#  $Author: pkubota $
#  $Date: 2007/10/10 20:28:03 $
#  $Revision: 1.4 $
#
#  alteration of the name of the executable and creation of variables and LV EXEC
#  Enter the number of Levels Model (affects SpecDump.f90)
#
# $Id: Makefile,v 1.4 2007/10/10 20:28:03 pkubota Exp $
#
SHELL=/bin/sh
#
# Makefile for Pos-Proccessing output global model
#
# Targets are the suffixes of the system-specific makefiles in
# the makefiles/ directory.
# For example, to build PosGrib for Solaris, give the command
#
#   make solaris
#
# This builds an intermediate library in the util/ directory,
# then builds the nedit and nc executables in the source/ directory.
#
MAKE=make
#LV=28
LV=64
PATH2=../exec


all:
	@echo "Please specify target:"
	@echo "(For example, type \"make linux\" for a Linux system.)"
	@(cd  makefiles && ls -C Makefile* | sed -e 's/Makefile.//g')

.DEFAULT:
	@- (cd .; if [ -f makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	cat Assimilation/SpecDump.f90.in | sed s/"NLEVS=28"/"NLEVS=$(LV)"/g > Assimilation/SpecDump.f90; \
	   then ln -fs makefiles/Makefile.$@ Makefile.$@; fi)
	@- (cd .; if [ -f makefiles/Makefile.$@ -a ! -f DummyMPI/Makefile.$@ ];\
	   then ln -fs ../makefiles/Makefile.$@ DummyMPI/Makefile.$@; fi)

	(cd DummyMPI;$(MAKE) -f Makefile.$@ ;cp include/mpif.h ../Parallelism; cp include/mpif.h ../Diagnostics;  cp include/mpif.h ../Transform; \
	 cp include/mpif.h ../Dynamics; cp include/mpif.h ../Initialization; cp include/mpif.h ../Utils ; cp include/mpif.h ../Main) 
	(cd .;$(MAKE) -f Makefile.$@)
	(mv ParModel_MPI $(PATH2)/ParModel_MPI)
	(rm -f Makefile.$@)

# We need a "dev-all" target that builds the docs plus binaries, but
# that doesn't work since we require the user to specify the target.  More
# thought is needed

clean:
	@echo "$(MAKE)"

	(cd .;$(MAKE) -f Makefile.common clean)
	(cd DummyMPI;$(MAKE) -f Makefile.common clean)

=== pos/source/Makefile ===
#
#  $Author: pkubota $
#  $Date: 2007/10/10 20:28:03 $
#  $Revision: 1.4 $
#
# $Id: Makefile,v 1.4 2007/10/10 20:28:03 pkubota Exp $
#
SHELL=/bin/sh
#
# Makefile for Pos-Proccessing output global model
#
# Targets are the suffixes of the system-specific makefiles in
# the makefiles/ directory.
# For example, to build PosGrib for Solaris, give the command
#
#   make solaris
#
# This builds an intermediate library in the util/ directory,
# then builds the nedit and nc executables in the source/ directory.
#
MAKE=make
PATH2=../exec

all:
	@echo "Please specify target:"
	@echo "(For example, type \"make linux\" for a Linux system.)"
	@(cd  makefiles && ls -C Makefile* | sed -e 's/Makefile.//g')

.DEFAULT:
	@- (cd .; if [ -f makefiles/Makefile.$@ -a ! -f ./Makefile.$@ ];\
	   then ln -fs makefiles/Makefile.$@ Makefile.$@; fi)
	@- (cd .; if [ -f makefiles/Makefile.$@ -a ! -f w3lib-1.4/Makefile.$@ ];\
	   then ln -fs ../makefiles/Makefile.$@ w3lib-1.4/Makefile.$@; fi)
	@- (cd .; if [ -f makefiles/Makefile.$@ -a ! -f DummyMPI/Makefile.$@ ];\
	   then ln -fs ../makefiles/Makefile.$@ DummyMPI/Makefile.$@; fi)

	(cd w3lib-1.4;$(MAKE) -f Makefile.$@)
	(cd DummyMPI;$(MAKE) -f Makefile.$@ ;cp include/mpif.h ../)
	(cd .;$(MAKE) -f Makefile.$@)
	(mv PostGrib $(PATH2)/PostGrib)
	(rm  -f Makefile.$@ )

# We need a "dev-all" target that builds the docs plus binaries, but
# that doesn't work since we require the user to specify the target.  More
# thought is needed

clean:
	@echo "$(MAKE)"

	(cd .;$(MAKE) -f Makefile.common clean)
	(cd w3lib-1.4;$(MAKE) -f Makefile.common clean)
	(cd DummyMPI;$(MAKE) -f Makefile.common clean)

=== model/source_dy/DummyMPI/Makefile ===
#
#  $Author: pkubota $
#  $Date: 2007/10/10 20:22:59 $
#  $Revision: 1.1 $
#
# $Id: Makefile.sx6,v 1.1 2007/10/10 20:22:59 pkubota Exp $
#
# Makefile for old versions of OSF.
# Use Makefile.sx6 for SX6 Unix 4.0 and above
#

F90=gfortran 
AR=ar
FTRACE= 
OPENMP=
F90_32FLAGS = -Wf"-pvctl noassume vwork=stack"
F90_32BITS = $(FTRACE) $(OPENMP) 
LOADFLAG= -Wl"-Z 4G" 

# OPTIONS FOR POS

F77	= gfortran
FFLAGS	= 
CFLAGS	= -DLINUX
ARFLAGS	= 
CC	= gcc

RM      = rm -f
MPI_INCLUDE	= ./include
MPI_LIB		= .

LIB = libmpi.a

.SUFFIXES: .o .f .F .c

OBJC =	\
	mpi_dummyc.o \
	wtime.o

OBJF =	\
	mpi_dummyf.o

SRC	= $(OBJF:.o=.f) $(OBJC:.o=.c)

$(LIB): $(OBJF) $(OBJC)
	ar $(ARFLAGS) -ruv $(LIB) $(OBJF) $(OBJC)
	
clean :
	-@$(RM) $(OBJF) core $(OBJC) $(LIB)

.f.o:
	$(F90) $(FFLAGS) -c $(@:.o=.f) -I$(MPI_INCLUDE)
.c.o:
	$(CC) $(CFLAGS) -c $(@:.o=.c)  -I$(MPI_INCLUDE)
